export declare type UniFunction = (x: number) => number;
export declare function evaluatePolySegment(xVals: ArrayLike<number>, segmentCoeffs: ArrayLike<number>[], x: number): number;
export declare function evaluatePoly(c: ArrayLike<number>, x: number): number;
export declare function trimPoly(c: Float64Array): Float64Array;
export declare function checkMonotonicallyIncreasing(a: ArrayLike<number>): void;
export declare function checkStrictlyIncreasing(a: ArrayLike<number>): void;
export declare function checkFinite(a: ArrayLike<number>): void;
export declare function binarySearch(a: ArrayLike<number>, key: number): number;
export declare function getMedian(a: ArrayLike<number>): number;
